# TrackerResult

An interface that represents the result generated by a [tracker](tracker.md) at a specific time. It is part of a [frame](frame.md).

## Properties

### tracker

`result.tracker: Tracker, read-only`

A reference to the [tracker](tracker.md) that generated this result.

### trackables

`result.trackables: Trackable[], read-only`

An array of zero or more [trackables](trackable.md).

## Methods

### of

`result.of(trackerType: string): boolean`

Checks if `this` result was generated by tracker of a certain `trackerType`. This is a convenient type guard for TypeScript users. See also: [Tracker.is](./tracker.md#is).

*Since:* 0.4.4

**Returns**

The same as `tracker.is(trackerType)`.

**Example**

```ts
let result: TrackerResult;

// ...

if(result.of('image-tracker')) {
    // result is inferred to be an ImageTrackerResult
    // ...
}
else if(result.of('pointer-tracker')) {
    // result is inferred to be a PointerTrackerResult
    // ...
}
else {
    // ...
}
```